uses
    sysutils;
var
    t: longint;
    x, y: longint;

procedure test(var t: longint; x, y, dx, dy: longint);
begin
    assign(output, intToStr(t div 10) + intToStr(t mod 10)); rewrite(output);
    writeln(x - dx, ' ', y - dy);
    writeln(x, ' ', y);
    close(output);
    inc(t);
end;

begin
    t := strToInt(paramstr(1));
    x := strToInt(paramstr(2));
    y := strToInt(paramstr(3));
    randseed := strToInt(paramstr(4));

    test(t, x, y, 2, 0);
    test(t, x, y, -2, 0);
    test(t, x, y, 0, 2);
    test(t, x, y, 0, -2);
    test(t, x, y, 0, 0);
    test(t, x, y, 1, 0);
    test(t, x, y, -1, 0);
    test(t, x, y, 0, 1);
    test(t, x, y, 0, -1);
    test(t, x, y, 1, -1);
    test(t, x, y, -1, -1);
    test(t, x, y, 1, 1);
    test(t, x, y, 1, -1);
    test(t, x, y, random(10) - 5, random(10) - 5);
    test(t, x, y, random(10) - 5, random(10) - 5);
end.